Bug 121233 - Suggestions for the new koffice startup dialog - more usable
Summary: Suggestions for the new koffice startup dialog - more usable
Status: RESOLVED WORKSFORME
Alias: None
Product: koffice
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-02 16:04 UTC by Marco Menardi
Modified: 2007-06-30 04:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Menardi 2006-02-02 16:04:35 UTC
Version:           recent svn code (using KDE KDE 3.5.1)
Installed from:    Compiled From Sources
OS:                Linux

** Startup dialog goals **
It has to provide a fast way for the user to achieve the most common tasks when the program is launched. With traditional behaviour, the program creates and empty document and the user has to use the File menu to start the real work

** User needs **
Based upon my home and office (=work) experience, I think that the most common tasks an user has to achieve when fires up a koffice program are:
a) open a recent document. Even if there is a preview menu, very often after I've printed a document, I notice some issues and I've to retrieve it to edit. Or I have to complete a document I have abandoned the morning/day before. Or just want to remember which document I edited in the near past.
b) create a new document based upon a template. With template I don't intend a collection of 100 or more, but a restrict number of customized ones. For instance, in my office I've just 3 templates, one for commercial letter, one for envelope of DL size, and one for fax. When I create a document, I want to be able to easily and fast choose among those 3 templates.
c) open an existing document. It has to open a file open dialog in a directory I've defined as a default one (in my office, I've a directory with all the subdirs related to my documents, shared with my secretary). Would be great having a sort of bookmarks to be able to set more than one directory.

** Problems with the current design (svn code of 1.4.99) **
To switch from tasks a,b,c, the current dialog has 2 kind of gizmos: a kListView for "Recent documents" and templates, and one button for "Open existing document...", and this is not good. In addition, sure for space reasons, that button does not have a icon the user can recognize. More, in the File menu the usual order is "New, Open, Open recent", while in this dialog is a sort of "Open recent, New, Open".
In this kListView it presents multiple groups of templates, while common user needs is to have a very restrict number to choose from.
If you select a template, on the right you have the option to "Always use this template", that has not to be put in this dialog, since is not something is needed very frequently (so against the goal of this dialog) and, in addition, if you check it, this beginning dialog is skipped and you will have an hard time to find out how to make it come back again (btw, as general rule, I think that this kind of settings have to be put where you can switch them on/off in the same place, so you immediately know where to revert them).
Also this dialog makes items be "double click" activated, against the default "single click" of kde. I mean, if I want to open a recent document, or create a document from a template, I have to double click on the document filename or the template name. Don't know how to avoid this, and to be sincere I do hate the single click paradigm, but with a mixture of singe and double click is sure bad.

** Proposal **
The proposal is based upon 2 main modifications: a) rearrange the templates stuff b) polish the visual interface.
For a), koffice should provide (not in the startup dialog, of course, I mean through ordinary menu) a fast way to not only manage templates, letting the user to create / edit / delete / rearrange them, but also a special directory or template flag where to put user's default templates, the ones that have to be shown in the startup dialog (this at user and also global level, if possible, so you can easily accommodate an entire office needs with good defaults, letting each user the possibility to add special templates for his own use).
Widgets of the same kind (buttons, as in my sample image, or a tab widget) should be provided to switch from Default templates – Open – Open recent. I've put them in the same order of the File menu,but the default one should be "Open recent".
Krita or other applications where this makes sense, could have an additional button on the left, under "Open recent" (but with double space) for the creation of a custom document.

A very primitive screenshot of an alternative:

http://www.ammdomus.it/download/KDE/koffice_startup_dialog.jpg
Comment 1 Halla Rempt 2006-02-02 18:04:23 UTC
Thomas is the startup dialog guru... He'll no doubt be interested when he's back from NZ.
Comment 2 Sebastian Sauer 2006-02-02 21:28:47 UTC
Proposals/feedback extracted from http://dot.kde.org/1138748394/

I don't like the "Use This Template" button: not only is it hard to find on the page (usually thing like "OK/Accept" and "Cancel" are near the bottom of the window), but the wording completely confused me.

Opened up kword and had a big wth moment. I had to sit and stare for a moment before I knew what to do [...] I didn't find it too bad once one knows where things are, but it gives a terrible first impression.

If the "always use this template" checkbox does what I think it does, it should be labeled "always use this template on startup" or so.

the first column mix opening an existing document and creating a new one. I would split the first column in two parts: a title 'Open existing document' which would contain: 'Recent document' and 'Browse existing document', the second part would have the title 'Create new document with' and contain: 'Document Types' 'Card and label Types' 'Envelope types' 'Custom Types'.

At first I expected a 'blank document' to be only white page, not to include also templates. The window use both 'blank document' and template to refer to the same thing: this is a bad IMHO, choose one term and use it. But of course the hard part is selecting the "right" word, I'd say 'Document Type' , Template would be better of course, but not everyone know what a template is.

The Recent Documents should *not* be part of the "Create Document" List.

The most missing feature in the page is "OK" "Cancel" "Create" buttons. "use this template" doesn't make any sense at least to me.

Icons look terrible.

KOffice applications should start with a default BLANK document (kword = blank document, kspread = blank sheet etc.)

the new dialog should not have a recent files category. The opening dialog should have a choice to open an existing file or create a new. Choosing 'new' brings up the new dialog (without recent files of course) and choosing 'open existing' brings up a dialog with recent files and a way to browse to other ones. Having the file->new dialog and the opening dialog be the same is rather ugly.
Comment 3 Jarosław Staniek 2006-02-03 10:12:15 UTC
My 2c:

For me, the only problem with the dialog is its appearance in general, not its functionality. I believe we can improve this in the 2.0 version. I thought about making the dialog more like web page (white background, links instead of buttons, more dynamic layout).
 It's already possible to get awesome artwork from one of the KDE artists, e.g. http://arcisz.deviantart.com/ to name just one.

It will be better visible with a mockup, I hope to come with one this month.
Comment 4 Robert Knight 2006-02-03 15:33:28 UTC
> the new dialog should not have a recent files category.

That is probably the most fundamental principle of the new startup dialog though.  It is based on the fact that one of the most common tasks people do when they first open up an office program is to work on a recent document - either to carry on working with it, or to create a new document based on that one.  The "Recent Files" list in a conventional menu can only show a very limited amount of information about those documents.  The current dialog shows previews as well as details on when a file was last edited.
Comment 5 Sebastian Sauer 2006-02-03 17:22:56 UTC
Re comment #4
I guess the "no recent files category" statement was meaned in the context of File=>New. So, imho the feedback tried to point out the difference between showing the same dialog for 2 cases; file=>new and startup.

While my own opinion here is, that I would not draw such a border, I understand why the user saw that difference and that its not really logical to provide "recent files" on file=>new...
Comment 6 Thomas Zander 2006-02-03 22:38:53 UTC
> I understand why the user saw that difference and that its not really logical to provide "recent files" on file=>new... 

Our usability research showed that having the same dialog and having the recent and template functionality act and behave the same is appreciated and (more importantly) understood by all users we saw.
Comment 7 Thomas Zander 2006-02-04 04:42:07 UTC
> ** Problems with the current design (svn code of 1.4.99) ** 
> To switch from tasks a,b,c, the current dialog has 2 kind of gizmos: a 
> kListView for "Recent documents" and templates, and one button for "Open 
> existing document...", and this is not good.

First; the reason the user starts kword (without a document, so from the
kmenu and not from konq) is that (s)he has one task to do.  The widget provides this choicein various manners.
I'm quite unsure why you conclude 'this is not good'. Please provide a
rationale for your conclusion.

> In addition, sure for space 
> reasons, that button does not have a icon the user can recognize. More, in 
> the File menu the usual order is "New, Open, Open recent", while in this 
> dialog is a sort of "Open recent, New, Open". 

Its actually; 'open', 'use template', 'open'..
Not sure what your point is; comparing things that to every user is quite
different makes little sense in usability. Lets keep practical and not go
completely theoretical here.

> In this kListView it presents multiple groups of templates, while common 
> user needs is to have a very restrict number to choose from. 

How did you reach that conclusion?
Anyway; if you want to roll out a limited set in a company; you can.
What exactly is your point?  That we should change the default so it fits your
company better??

> If you select a template, on the right you have the option to "Always use 
> this template", that has not to be put in this dialog, since is not 
> something is needed very frequently (so against the goal of this dialog)

The reason its there is because people will not look for it in another dialog.
Sorry, your conclusion goes against the user tests, and I find user tests trump
personal theory every time :)

> and, in addition, if you check it, this beginning dialog is skipped and you 
> will have an hard time to find out how to make it come back again (btw, as 
> general rule, I think that this kind of settings have to be put where you 
> can switch them on/off in the same place, so you immediately know where to 
> revert them).

Pressing 'new' will give you this whole widget again where you can turn off
the checkbox.  I agree it should be in one place, and if we follow your
suggestion we then make it worse.  So lets keep it where it is.

> Also this dialog makes items be "double click" activated, against the 
> default "single click" of kde.
Hmm? I only have to press the 'use this template' button ones, don't you??

> I mean, if I want to open a recent document, 
> or create a document from a template, I have to double click on the document 
> filename or the template name. Don't know how to avoid this, and to be 
> sincere I do hate the single click paradigm, but with a mixture of singe and 
> double click is sure bad. 

If you find it easier to double click then to press the button, then thats not
a sign of bad design but a sign of your habit for double clicking.
The users I observed found the button without any problems.  So again, I'll trust
user tests instead of your personal experience :)

I'm tempted to close this report as the reporter used assumptions that our user tests proved false.
Please also see the (quite old) user test report at; http://openusability.org/reports/?group_id=136
Comment 8 Thomas Zander 2006-02-04 04:47:33 UTC
>It's already possible to get awesome artwork from one of the KDE artists

Oh, please do take a look into coordinating that, I don't have the time, but I fully support a set of nicer looking icons.  The one (red) kword icon is one I made, and it looks waaay out of place :(
Comment 9 Marco Menardi 2006-02-04 11:33:02 UTC
Thomas Zander wrote:
[bugs.kde.org quoted mail]

Looks messy and confusing. Your focus in captured by the first gizmo 
(kListView) that seem to show the main tasks you can perform, while 
buttons and check boxes are expected to be options or further tasks 
associated with the action chosen in the kListView, and is so except for 
the "Open existing document" button. This seems not good to me, and 
confusing :)

> 
>> In addition, sure for space 
>> reasons, that button does not have a icon the user can recognize. More, in 
>> the File menu the usual order is "New, Open, Open recent", while in this 
>> dialog is a sort of "Open recent, New, Open". 
> 
> Its actually; 'open', 'use template', 'open'..


mm not here, maybe I have to remove it and re-compile/install.

> Not sure what your point is; comparing things that to every user is quite
> different makes little sense in usability. Lets keep practical and not go
> completely theoretical here.
> 


Nothing theoretical, even if good theory brings you good practice. If 
the File dialog shows "actions" you can perform in the File menu of 
almost all kde programs is "New, Open, Open recent", why have the dialog 
present a different order? Why loose the unconscious habit of the user 
at having those actions presented in that order?

>> In this kListView it presents multiple groups of templates, while common 
>> user needs is to have a very restrict number to choose from. 
> 
> How did you reach that conclusion?


Startup dialog has to speed up the most common tasks. Do you know anyone 
that usually uses 20-30 templates, with equal usage probability?

> Anyway; if you want to roll out a limited set in a company; you can.
> What exactly is your point?  That we should change the default so it fits your
> company better??


Is point a) in my "proposal" section. Provide the user a simple, clear 
way to manage his templates, and organize them in a sort of 2 levels: 
the most important/used for him, that will be the only one directly 
visible in the startup dialog, and all the rest (grouped and organized 
the way he likes), that he can access through the File menu, or other 
not immediate way.

> 
>> If you select a template, on the right you have the option to "Always use 
>> this template", that has not to be put in this dialog, since is not 
>> something is needed very frequently (so against the goal of this dialog)
> 
> The reason its there is because people will not look for it in another dialog.
> Sorry, your conclusion goes against the user tests, and I find user tests trump
> personal theory every time :)


If you organize the wrong user tests, you will have the wrong 
conclusion. And also user test could tell you which option is "less 
bad", no user test will provide an alternative solution to the choices 
provided. I could also prove with user tests that putting an obscure 
table formatting in the startup dialog makes the user find it easier, but...
If you do the a) point of my proposal the right way, they sure will look 
at this option in that context. One of the most irritating things in 
software is when you choose something and you can't revert the choice in 
the same way.
> 
>> and, in addition, if you check it, this beginning dialog is skipped and you 
>> will have an hard time to find out how to make it come back again (btw, as 
>> general rule, I think that this kind of settings have to be put where you 
>> can switch them on/off in the same place, so you immediately know where to 
>> revert them).
> 
> Pressing 'new' will give you this whole widget again where you can turn off
> the checkbox.  I agree it should be in one place, and if we follow your
> suggestion we then make it worse.  So lets keep it where it is.


*******************************

> 
>> Also this dialog makes items be "double click" activated, against the 
>> default "single click" of kde.
> Hmm? I only have to press the 'use this template' button ones, don't you??


In konqueror, if I press to a filename, I "run/open" it. If I do here, 
for recent file of template, it does not. Anyway I hate single click 
konqueror behaviour (I know I can turn it off, but being it the default 
is something beyond my understanding)

> 
>> I mean, if I want to open a recent document, 
>> or create a document from a template, I have to double click on the document 
>> filename or the template name. Don't know how to avoid this, and to be 
>> sincere I do hate the single click paradigm, but with a mixture of singe and 
>> double click is sure bad. 
> 
> If you find it easier to double click then to press the button, then thats not
> a sign of bad design but a sign of your habit for double clicking.
> The users I observed found the button without any problems.  So again, I'll trust
> user tests instead of your personal experience :)


I'm able to find it also, don't worry. The goal is make the user do the 
choices in the fastest, "pattern recognize" way. This is not my habit in 
double clicking, just the contrary, is my (unfortunate, konqueror 
inducted) habit in single clicking. Pick a user and let him open some 
files with konqueror, then make him pick some file from "recent" and let 
me know.

> 
> I'm tempted to close this report as the reporter used assumptions that our user tests proved false.
> Please also see the (quite old) user test report at; http://openusability.org/reports/?group_id=136
> 


I'm a user also, and I think that this dialog is very interesting but, 
and  because is basically a very good idea, I would love to see it be 
improved. Me, as a user that is also a developer and has read some books 
about usability, I've found some area of improvements. Of course this 
does not put me in the position of "having the truth", or be the only 
one that can see the right direction, don't take me wrong. I could be 
completely wrong, but at the same time I don't think my secretary, if 
used for an usability test, will suggest you any really good idea. 
Observing her you can just see if she can find a green button faster 
than a red one. No user test will give you new or better solutions. For 
instance I'm sure your user found the program not starting with a blank 
document "confusing", because they have certain habits. So I can tell 
you that my usability test has shown that this startup dialog is bad and 
confusing, but we both know that throwing it away would be really bad 
(the usability test you pointed me confirmed my guess: "Most test 
persons were surprised to see a dialog at all, moreover they expected to 
get immediately a blank sheet like in Microsoft Word. Three persons were 
confused what to do, they did not recognize the startup as a dialog.
Two persons immediately clicked on the "new document"-icon on the menu 
bar and assumed that this would create a blank default document.").
Don't believe in user's test more than in user interaction design 
principles, don't think that "theoretical" arguments are something that 
does not count. Bright people have wrote user interface design books 
that, unfortunately, really few developers read and, in any case, I can 
see with the software I've developed, developers tend to defend their 
work ignoring suggestions (only bug reports are welcomed), or dont' care 
about what is beyond "implementation model", to take this expression 
from Alan Cooper books.
Microsoft has showed us that the user can be convinced to find "good 
software" also bad designed ones, but Apple has showed us that real good 
designed software shines in comparison. Don't you think that Microsoft 
has done user tests also?
My only final suggestion is that some usability team, that has some real 
life experience in offices "real work" also, spend some time about this 
issue, and then tell the programmers what and how to do it properly (the 
usability test you pointed me, for instance, does not define user's 
goals that the dialog should met, as I try to do in this issue, and this 
is ok for an usability test, but has be done before develop that dialog?).
Then, and only then, do an user test to see if something marginal can be 
improved.
Hope not have been rude or offensive, if so consider it due to my far 
from perfect knowledge of English, and limited time to revise this posting.
Thanks for your and all Koffice team for your *great* work.
Comment 10 Thomas Zander 2006-02-04 22:09:38 UTC
Just a quick note; I pointed to the usability test to show that
a) this is tested by a professional usability company
b) this dialog is designed with constant usability people being involved (to be honest, thats not shown by the link, but it still is true :)
c) your assertions about things being wrong were not found by actual users.
Comment 11 Dik Takken 2006-03-16 21:18:18 UTC
My first experience with the new startup screen of KOffice 1.5 Beta-2:

When I first started KWord 1.5-beta2 I have been staring at it for a while, thinking: My goodness, what the heck is this... Maybe I was thinking this because the arrangement of the individual GUI elements is unlike anything I have seen before, so it does not trigger a 'oh, that looks familiar, it guess I already know how it works' reaction.

Also, the way to create a new document is very unclear, IMHO. Just Clicking on the 'Blank Document' icon in the leftmost pane does not do anything. Only clicking the same 'Blank Document' icon (why two identical document types??) in the middle pane works. After a few seconds, I understood that it actually works like a hierarchy: The middle pane shows a sub-category of the selected item in the left pane. So, the GUI does not *look* like a hierarchy (like a treeview, or a menu with submenus) but it does *work* like a hierarchy. Confusing....
Comment 12 Jason W 2006-08-22 06:14:38 UTC
I see some of my feedback from the dot was quoted above :)  I still stick to it though, and my posting here is triggered by koffice 1.5 finally making it into debian testing which means I can no longer avoid it (I have been using it in Ubuntu, on a separate partition, for some time now)

The dialog is still terrible.  You can talk all you want about how "actual users" vetted the new dialog, but that misses the point.  They were _test subjects_ watched over by a "usability" company who is being paid specifically to recommend something different (what does one then expect they will do?).  _I_ am an actual user.  Not the only one of course, I will attempt to avoid egomania here ;)

1: It is still odd to have file->new and file->open bring up the same dialog.

2: the layout of the dialog is still unintuitive.  Of the three main actions (open recent, use template, and open) why is one of them a button?  It's worse when that button is likely to be ignored/missed entirely since it is where one expects buttons like OK and Cancel to be, and when the other two options are accompanied by large colorful icons.

3: One of the three main options (which actually looks like one of the two main options, since the third is exiled to a relatively small button, a completely different widget) is 'use a template'.  In general usage, I would wager that using a template is a rarity.  A word processor is used in the vast majority of cases for writing a letter, and being forced to hunt for the template that looks the most like "blank piece of paper" is annoying.

I feel there was simply nothing wrong with defaulting to a blank page (useful for the majority of cases) with easy *distinct* menu entries for opening an existing document or creating a more esoteric document type.  

The maintainers are of course going to be dead set on having a swiss army knife opening dialog, if for no other reason than to justify the time and expense of the quixotic usability study ;)  Apart from killing it (or fixing the layout) things that would make me happy (in order of importance):

1: Make it possible to skip the dialog when loading the app.  There were bug reports asking for that possibility with previous versions of koffice, and those wishes were granted.  Please do so again.  Please check old bug reports http://bugs.kde.org/show_bug.cgi?id=57415 and http://bugs.kde.org/show_bug.cgi?id=43832 .  Points made there are still valid.  There is no need to fight peoples' expectations.  Most people have no clue what a template is anyway.  Please make it possible not to have to deal with the damn things every time I want to type something up.

2: Have file->new and file->open actually use different dialogs.  Please again read http://bugs.kde.org/show_bug.cgi?id=57415 .  

The fact that concerns like mine have been brought up and dealt with before really ought to carry more weight than a suspect usability study.  It seems koffice maintainers like to make the same errors with every new version and ignore users wishes, and it's getting worse.  At best, the changes might streamline some border use cases, and *maybe* make more common uses very slightly faster (though I'm not sold on that idea at all).  At worst, they defy users' expectations and cause severe annoyance.  From the balance of things, it just doesn't seem worth it.  It didn't need "fixing" in the first place.
Comment 13 Thomas Zander 2006-08-22 10:33:30 UTC
On Tuesday 22 August 2006 06:14, Jason W wrote:
> 1: It is still odd to have file->new and file->open bring up the same
> dialog.


They don't.

> 1: Make it possible to skip the dialog when loading the app.


Thats already possible.
Comment 14 Thomas Zander 2007-06-29 21:57:50 UTC
Further feedback shows people in general like this dialog, after getting used to something new.  So we have some small fixes to make sure, and this bug can be closed.

Thanks for your feedback.
Comment 15 Helge Hielscher 2007-06-30 04:05:54 UTC
The points raised in http://dot.kde.org/1172721427/1172799259/1172822490/1172824316/1172826303/1172939015/
are still valid with KOffice 1.6.2:
> Right now it looks like game: hunt the button
>
> Use Case 1: just give me a new document
> question: where is the button?
> answer: on the right side somewhere in the middle of 
> the same window
> 
> Use Case 2: open existing document
> question: where is the button?
> answer: on the left side at the bottom and the bottom right
> side in the new window with the dialog
>
> Use Case 3: open recent document
> question: where is the button?
> answer: recent documents are in the top left corner and 
> the button is on the right side somewhere in the middle of 
> the top half of the screen of the same window